#!/bin/bash

sleep 120

if docker compose exec -u 82 app php occ status -e ; then
    docker compose exec -u 82 app php occ config:system:set default_phone_region --value={{ nc_phone_region }}
    docker compose exec -u 82 app php occ config:system:set default_locale --value={{ default_locale }}
    docker compose exec -u 82 app php occ config:system:set default_language --value={{ default_language }}
    docker compose exec -u 82 app php occ config:system:set skeletondirectory --value=""
    docker compose exec -u 82 app php occ db:add-missing-indices
    docker compose exec -u 82 app php occ db:add-missing-primary-keys
else
    echo "Nextcloud not ready yet"
fi
